# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.95"
name = "t32-language-server"
version = "0.12.0"
authors = ["Christoph Sax <c_sax@mailbox.org>"]
build = false
include = [
    "/src/",
    "/tests/",
    "/LICENSES/",
    "/CHANGELOG.md",
]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Language server for Lauterbach TRACE32® script language"
readme = "README.md"
keywords = [
    "language-server",
    "lsp",
    "trace32",
    "lauterbach",
    "practice",
]
categories = [
    "command-line-utilities",
    "development-tools",
    "parsing",
    "text-editors",
]
license = "EUPL-1.2"
repository = "https://codeberg.org/xasc/t32-language-server"
resolver = "2"

[lib]
name = "t32_language_server"
path = "src/lib.rs"

[[bin]]
name = "t32ls"
path = "src/main.rs"

[[test]]
name = "cli"
path = "tests/cli.rs"

[[test]]
name = "protocol"
path = "tests/protocol.rs"

[[test]]
name = "utils"
path = "tests/utils.rs"

[[test]]
name = "wasm"
path = "tests/wasm.rs"

[dependencies.serde]
version = ">=1.0.215"
features = ["derive"]

[dependencies.serde_json]
version = ">=1.0"

[dependencies.serde_path_to_error]
version = "0.1.20"

[dependencies.serde_repr]
version = ">=0.1.19"

[dependencies.tree-sitter]
version = ">=0.25.0"

[dependencies.tree-sitter-t32]
version = ">=7.0.0"

[dependencies.url]
version = ">=2.5.4"

[build-dependencies.cc]
version = ">=1.2.60"

[target."cfg(unix)".dependencies.libc]
version = ">=0.2.169"

[target."cfg(windows)".dependencies.windows-sys]
version = ">=0.61.0"
features = ["Win32_System_Threading"]
default-features = false
